Gateway
Create a message
POST
Create a message (Anthropic-compatible)
Authorizations
Your LITELLM_MASTER_KEY. Default for local Docker Compose: sk-local
Body
application/json
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://litellm-rust.onrender.com/v1/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "anthropic/*",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"max_tokens": 1024,
"stream": false
}
'{
"id": "<string>",
"type": "message",
"role": "assistant",
"content": [
{
"type": "text",
"text": "<string>"
}
],
"model": "<string>",
"stop_reason": "end_turn",
"usage": {
"input_tokens": 123,
"output_tokens": 123
}
}Your LITELLM_MASTER_KEY. Default for local Docker Compose: sk-local
curl --request POST \
--url https://litellm-rust.onrender.com/v1/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "anthropic/*",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"max_tokens": 1024,
"stream": false
}
'{
"id": "<string>",
"type": "message",
"role": "assistant",
"content": [
{
"type": "text",
"text": "<string>"
}
],
"model": "<string>",
"stop_reason": "end_turn",
"usage": {
"input_tokens": 123,
"output_tokens": 123
}
}